{
  "steps": [
    {
      "id": "transform-input",
      "name": "Transform Input",
      "type": "transform-input"
    },
    {
      "config": {
        "policy": "replace"
      },
      "id": "deduplication",
      "name": "Deduplication",
      "type": "deduplication"
    },
    {
      "config": {
        "fetch_link_content": false
      },
      "id": "content-augmentation",
      "name": "Content Augmentation",
      "type": "content-augmentation"
    },
    {
      "config": {},
      "id": "content-conversion",
      "name": "Content Extraction",
      "type": "content-conversion"
    },
    {
      "id": "sanitize-html",
      "name": "Sanitize HTML",
      "type": "sanitize-html"
    },
    {
      "config": {
        "fields_to_clean": "title,summary"
      },
      "id": "remove-html",
      "name": "Remove HTML",
      "type": "remove-html"
    },
    {
      "id": "language-detection",
      "name": "Language Detection",
      "type": "language-detection"
    },
    {
      "description": "<h1>NLP Tagger</h1>\n<h3>Key-Phrase Tagging</h3>\n<p>This pipelet extracts key-phrases based on the TextRank algorithm.\nIt works on top of recognised noun-chunks and recognised entities by Spacy.</p>\n<p>Key-phrases + Title are added to the facet <code>keywords.nlp_tag__phrases</code></p>\n<p>Applicable for:</p>\n<pre><code>- Content based auto-completer (type-ahead)\n- Significant-terms Widget\n</code></pre>\n<h3>Named Entity Recognition</h3>\n<p>If configured, recognised entities are stored within their corresponding facet,\nlike <code>keywords.Location = [Europe, London]</code>.</p>\n",
      "name": "Nlp Keyphrase Tagger",
      "pipelet": "_global/Nlp Keyphrase Tagger",
      "section": "discover",
      "summary": "KeyPhrase Tagger",
      "type": "pipelet"
    },
    {
      "id": "cleanup",
      "name": "Content Standardization",
      "type": "cleanup"
    },
    {
      "id": "index",
      "name": "Indexing",
      "type": "index"
    },
    {
      "id": "cache",
      "name": "Cache Cleaning",
      "type": "cache"
    }
  ]
}
